;**************************************************************************
;	Example3.PRG	
;	Example program for testing the inputs and outputs
;	ASSUMES drive is already configured and servo-loop tuned
;	Version 1.0                            
;	Parker Hannifin PLC             
;	Electromechanical Division 
;
;	Date:	17/05/02
;
;**************************************************************************
; Programming notes: -
; 1) All commands must be preceeded by an axis address number e.g. 1ON
; 2) Spaces are not allowed within any command e.g. 2GOSUB ( FRED ) is
;    a syntax error.
; 3) A semi-colon (;) defines the start of a comment.
; 4) Comments are not stored in the indexer.
; 5) You must CLEAR all sequence labels before defining new ones.
; 6) You must DECLARE user defined labels in START before using them.
; 7) You must define a PROFILE before USEing it. 
;**************************************************************************

1S                    	;Stop any program that is running
1CLEAR(ALL)		;Erase all program labels

;Initialisation code
1START:			;This label is pre-defined    
   1DECLARE(TSTIO) 	;Declare user defined labels used in program
   1DECLARE(FLASH)
   1GOSUB(TSTIO) 	;Execute TSTIO subroutine
   1LOOP(FLASH,10)	;Flash outputs - do 10 times
1END             	;End of START sequence

1TSTIO:			;Define TSTIO label sequence
   1O(000)		;Start by resetting all outputs
   1"INPUT1"		;Prompt for input
   1TR(IN,=,10000) 	;Wait for input 1
   1O(100)		;Turn on output 1 only
   1"INPUT2"		;Prompt for input
   1TR(IN,=,01000)	;Wait for input 2
   1O(010)		;Turn on output 2 only
   1"INPUT3"		;Prompt for input
   1TR(IN,=,00100)	;Wait for input 3
   1O(001)		;Turn on output 3 only
   1"INPUT4"		;Prompt for input
   1TR(IN,=,00010) 	;Wait for input 4
   1O(111)		;Turn on all outputs
   1"INPUT5"		;Prompt for input
   1TR(IN,=,00001) 	;Wait for input 5
   1O(000)		;Turn off all outputs
1END			;End of label sequence definition

1FLASH:			;Define label
   1"FLASHING"		;Prompt user
   1O(000)		;Start by resetting all outputs
   1T0.05 		;Wait a while
   1O(100)		;Turn on output 1 only
   1T0.05 		;Wait a while
   1O(010)		;Turn on output 2 only
   1T0.05 		;Wait a while
   1O(001)		;Turn on output 3 only
   1T0.05 		;Wait a while
   1O(111)		;Turn on all outputs
   1T0.1 		;Wait a while
   1O(000)		;Turn off all outputs only
   1T0.1 		;Wait a while
   1O(111)		;Turn on all outputs
   1T0.1 		;Wait a while
   1O(000)		;Turn off all outputs only
   1T0.1 		;Wait a while
   1O(111)		;Turn on all outputs
   1T0.1 		;Wait a while
   1O(000)		;Turn off all outputs only
   1T0.1 		;Wait a while
   1O(111)		;Turn on all outputs
   1T0.1 		;Wait a while
   1O(000)		;Turn off all outputs only
   1T0.1 		;Wait a while
   1O(111)		;Turn on all outputs
   1T0.1 		;Wait a while
   1O(000)		;Turn off all outputs only
   1T0.1 		;Wait a while
1END			;End of label sequence definition

;Now type in the following command in the TERMINAL window to run START label
;1GOTO(START)		;After downloading run the START label

;********** End of program file ********************************************
